MNDeployment # 3532 (Closed): DFC Member Node

Task # 6089 (Closed): DFC: Developing

Look at sample files from Lisa

2015-01-26 15:24 - Laura Moyers

Status: Closed Start date: 2015-01-26

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Deploy by end of Y3Q1   

Story Points:    

Description

Evaluate content of the sample files Lisa sent (attached) to determine how we will work with them.

History

#1 - 2015-01-26 15:32 - Laura Moyers

Lisa had said in an email: The NexRAD data files will be 2 different formats: NetCDF for the processed NexRAD data and the raw NexRAD data is

gzipped. We can just register the NetCDF files, as a first step, if that seems appropriate. Also I can temporarily register an example raw NexRAD file

and NetCDF file for you to look at, until we get our act tether here on our event logging and which iRODS grid is going to actually hold the data. 

#2 - 2015-01-28 16:32 - Chris Jones

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0

I've looked at the two files that Lisa sent.  

The NetCDF file would be registered as a DATA object in the system as either netCDF-3 or netCDF-4 formatIds (the file itself doesn't give the

version, so this will need to be resolved).

I couldn't be read the NEXRAD file in standard viewer software for NEXRAD data, so I think we'll need more information to understand the format

type.  Is this a NEXRAD Level II file, NEXRAD Level III file, TDWR file, or another format?  When I look at the raw bytes using hexdump, it doesn't

have the same header information that I see when downloading a known NEXRAD Level III file from NOAA.

Registering these raw data files in DataONE won't be a problem, but they will need accompanying XML-based metadata documents that describe

them.  The NcXML format might be the most appropriate for the NetCDF files, or perhaps ISO 19115 metadata for both types. It's really up to Lisa

and others how they want to describe their data files.

Files

2014-06-02-0900-accum.nc.zip 54.2 KB 2015-01-26 Laura Moyers

2014-06-02-0951-nexrad.gz 1.42 MB 2015-01-26 Laura Moyers
